libglom-1.30: Glom::GroupInfo Class Reference

libglom-1.30 1.30.3

- Main Page
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | List of all members
Glom::GroupInfo Class Reference
Inheritance diagram for Glom::GroupInfo:
[legend]
Collaboration diagram for Glom::GroupInfo:
[legend]

## Public Types
typedef std::map< Glib::ustring, Privileges > | type_map_table_privileges
Public Types inherited from Glom::TranslatableItem
enum | enumTranslatableItemType { enumTranslatableItemType::INVALID, enumTranslatableItemType::FIELD, enumTranslatableItemType::RELATIONSHIP, enumTranslatableItemType::LAYOUT_ITEM, enumTranslatableItemType::CUSTOM_TITLE, enumTranslatableItemType::PRINT_LAYOUT, enumTranslatableItemType::REPORT, enumTranslatableItemType::TABLE, enumTranslatableItemType::BUTTON, enumTranslatableItemType::TEXTOBJECT, enumTranslatableItemType::IMAGEOBJECT, enumTranslatableItemType::CHOICEVALUE, enumTranslatableItemType::DATABASE_TITLE, enumTranslatableItemType::STATIC_TEXT }
typedef std::map< Glib::ustring, Glib::ustring > | type_map_locale_to_translations

## Public Member Functions
| GroupInfo ()
| GroupInfo (const GroupInfo& src)
| GroupInfo (GroupInfo&& src)
virtual | ~GroupInfo ()
GroupInfo& | operator= (const GroupInfo& src)
GroupInfo& | operator= (GroupInfo&& src)
bool | operator== (const GroupInfo& src) const
bool | operator!= (const GroupInfo& src) const
Public Member Functions inherited from Glom::TranslatableItem
| TranslatableItem () noexcept
| TranslatableItem (const TranslatableItem& src) noexcept
| TranslatableItem (TranslatableItem&& src) noexcept
virtual | ~TranslatableItem ()
TranslatableItem& | operator= (const TranslatableItem& src) noexcept
TranslatableItem& | operator= (TranslatableItem&& src) noexcept
bool | operator== (const TranslatableItem& src) const noexcept
bool | operator!= (const TranslatableItem& src) const noexcept
virtual void | set_name (const Glib::ustring& name) noexcept
| Set the non-translated identifier name. More...
virtual Glib::ustring | get_name () const noexcept
| Get the non-translated identifier name. More...
bool | get_name_not_empty () const noexcept
virtual Glib::ustring | get_title_or_name (const Glib::ustring& locale) const noexcept
virtual Glib::ustring | get_title (const Glib::ustring& locale) const noexcept
| Get the title's translation for the specified locale, falling back to the original text if there is no translation. More...
virtual Glib::ustring | get_title_original () const noexcept
| Get the title's original (non-translated, usually English) text. More...
Glib::ustring | get_title_translation (const Glib::ustring& locale, bool fallback=true) const noexcept
| Get the title's translation for the specified locale, optionally falling back to a locale of the same language, and then falling back to the original. More...
void | set_title (const Glib::ustring& title, const Glib::ustring& locale) noexcept
| Set the title's translation for the specified locale. More...
void | set_title_original (const Glib::ustring& title) noexcept
| Set the title's original (non-translated, usually English) text. More...
void | clear_title_in_all_locales () noexcept
| Clear the original title and any translations of the title. More...
bool | get_has_translations () const noexcept
enumTranslatableItemType | get_translatable_item_type () const noexcept

## Public Attributes
bool | m_developer
type_map_table_privileges | m_map_privileges

## Additional Inherited Members
Static Public Member Functions inherited from Glom::TranslatableItem
static Glib::ustring | get_translatable_type_name (enumTranslatableItemType item_type) noexcept
static Glib::ustring | get_translatable_type_name_nontranslated (enumTranslatableItemType item_type) noexcept
| The non-translated name is used for the context in gettext .po files. More...
Protected Attributes inherited from Glom::TranslatableItem
enumTranslatableItemType | m_translatable_item_type

## Member Typedef Documentation

typedef std::map<Glib::ustring, Privileges> Glom::GroupInfo::type_map_table_privileges

## Constructor & Destructor Documentation

Glom::GroupInfo::GroupInfo | ( |  | ) |

Glom::GroupInfo::GroupInfo | ( | const GroupInfo& | src | ) |

Glom::GroupInfo::GroupInfo | ( | GroupInfo&& | src | ) |

virtual Glom::GroupInfo::~GroupInfo | ( |  | ) |
| virtual

## Member Function Documentation

bool Glom::GroupInfo::operator!= | ( | const GroupInfo& | src | ) | const

GroupInfo& Glom::GroupInfo::operator= | ( | const GroupInfo& | src | ) |

GroupInfo& Glom::GroupInfo::operator= | ( | GroupInfo&& | src | ) |

bool Glom::GroupInfo::operator== | ( | const GroupInfo& | src | ) | const

## Member Data Documentation

bool Glom::GroupInfo::m_developer

type_map_table_privileges Glom::GroupInfo::m_map_privileges

The documentation for this class was generated from the following file:

- libglom/data_structure/groupinfo.h